Bug 179297 - [patch] audio/py-mutagen update to 1.21
Summary: [patch] audio/py-mutagen update to 1.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 14:40 UTC by Mark Felder
Modified: 2013-06-22 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.69 KB, patch)
2013-06-04 14:40 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2013-06-04 14:40:00 UTC
-update to 1.21, required for my audio/beets port
-remove patch, REINPLACE is better
-passes portlint

https://redports.org/buildarchive/20130604131400-49770/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-04 14:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-04 14:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-06-04 14:40:09 UTC
Maintainer of audio/py-mutagen,

Please note that PR ports/179297 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179297

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 dfilter service freebsd_committer 2013-06-22 15:50:00 UTC
Author: swills
Date: Sat Jun 22 14:49:53 2013
New Revision: 321575
URL: http://svnweb.freebsd.org/changeset/ports/321575

Log:
  - Update to 1.21, required for my audio/beets port
  - Remove patch, REINPLACE is better
  - Passes portlint
  
  PR:		ports/179297
  Submitted by:	Mark Felder <feld@feld.me>
  Approved by:	maintainer timeout (johnson.peter@gmail.com, >2 weeks)

Modified:
  head/audio/py-mutagen/Makefile   (contents, props changed)
  head/audio/py-mutagen/distinfo   (contents, props changed)
  head/audio/py-mutagen/pkg-plist   (contents, props changed)

Modified: head/audio/py-mutagen/Makefile
==============================================================================
--- head/audio/py-mutagen/Makefile	Sat Jun 22 14:33:13 2013	(r321574)
+++ head/audio/py-mutagen/Makefile	Sat Jun 22 14:49:53 2013	(r321575)
@@ -1,11 +1,8 @@
-# New ports collection makefile for:	py-mutagen
-# Date created:			15 May 2006
-# Whom:				Byung-Hee HWANG <bh@izb.knu.ac.kr>
-#
+# Created by: Byung-Hee HWANG <bh@izb.knu.ac.kr>
 # $FreeBSD$
 
 PORTNAME=	mutagen
-PORTVERSION=	1.20
+PORTVERSION=	1.21
 CATEGORIES=	audio python
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -25,4 +22,9 @@ MAN1=		mid3iconv.1 \
 		mutagen-inspect.1 \
 		mutagen-pony.1
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|share/man/man1|man/man1|' ${WRKSRC}/setup.py
+
+.include <bsd.port.post.mk>

Modified: head/audio/py-mutagen/distinfo
==============================================================================
--- head/audio/py-mutagen/distinfo	Sat Jun 22 14:33:13 2013	(r321574)
+++ head/audio/py-mutagen/distinfo	Sat Jun 22 14:49:53 2013	(r321575)
@@ -1,2 +1,2 @@
-SHA256 (mutagen-1.20.tar.gz) = 7e56c478de154fdcd00d257ebc77be8718188f1a0db916f51f129b7ca01de6e7
-SIZE (mutagen-1.20.tar.gz) = 651649
+SHA256 (mutagen-1.21.tar.gz) = 4dd30af3a291c0a152838f2bbf1d592bf6ede752b11a159cbf84e75815bcc2b5
+SIZE (mutagen-1.21.tar.gz) = 795419

Modified: head/audio/py-mutagen/pkg-plist
==============================================================================
--- head/audio/py-mutagen/pkg-plist	Sat Jun 22 14:33:13 2013	(r321574)
+++ head/audio/py-mutagen/pkg-plist	Sat Jun 22 14:49:53 2013	(r321575)
@@ -54,6 +54,9 @@ bin/mutagen-pony
 %%PYTHON_SITELIBDIR%%/mutagen/oggflac.py
 %%PYTHON_SITELIBDIR%%/mutagen/oggflac.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/oggflac.pyo
+%%PYTHON_SITELIBDIR%%/mutagen/oggopus.py
+%%PYTHON_SITELIBDIR%%/mutagen/oggopus.pyc
+%%PYTHON_SITELIBDIR%%/mutagen/oggopus.pyo
 %%PYTHON_SITELIBDIR%%/mutagen/oggspeex.py
 %%PYTHON_SITELIBDIR%%/mutagen/oggspeex.pyc
 %%PYTHON_SITELIBDIR%%/mutagen/oggspeex.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2013-06-22 15:50:04 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!